# SmartPreview Extension for phpBB

SmartPreview is a phpBB extension that adds a modern, scrollable feed of recent topics to your forum.  
Each topic includes a preview of the first post and the most recent reply, helping users quickly scan what’s new.

The layout inherits your forum theme and supports avatars, smilies, and post formatting.  
While it does not yet replace the default index page, it is designed to become a future landing view.

## Features

- Shows the first post and most recent reply preview for each topic
- Clean, theme-compatible layout
- Highlighted unread indicators using phpBB's persistent topic tracking
- Works with your existing forum structure and permissions

## Installation

1. Copy the `boardtalk/smartpreview/` folder into your phpBB `ext/` directory:

2. Go to your Admin Control Panel (ACP) → **Customise** → **Extensions**

3. Find **SmartPreview** and click **Enable**

## Roadmap

Future versions will include:
- Infinite scroll
- Live updates via AJAX
- Admin/moderator notices with optional link previews (e.g. blog article cards)
- ACP settings for controlling preview length, layout behaviour, and notice frequency

## License

GPL-2.0 — same license as phpBB

---

Maintained by [BoardTalk](https://github.com/Boardtalk) – clean forum tools for modern communities.
