<?php
/**
 * Event listener to provide navigation tab variables
 *
 * @package boardtalk\smartpreview
 */

namespace boardtalk\smartpreview\event;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use phpbb\template\template;
use phpbb\controller\helper;
use phpbb\request\request_interface;
use phpbb\user;

class main_listener implements EventSubscriberInterface
{
/** @var template */
protected $template;

/** @var helper */
protected $helper;

/** @var request_interface */
	protected $request;

	/** @var string */
	protected $php_ext;

/** @var user */
protected $user;

public function __construct(template $template, helper $helper, request_interface $request, $php_ext, user $user)
{
	$this->template = $template;
	$this->helper = $helper;
	$this->request = $request;
	$this->php_ext = $php_ext;
	$this->user = $user;
}

	static public function getSubscribedEvents()
	{
		return [
			'core.user_setup' => 'add_tab_links',
		];
	}

public function add_tab_links()
{
	if (!defined('IN_ADMIN'))
	{
		$this->user->add_lang_ext('boardtalk/smartpreview', 'common_global');
	}

	$uri = (string) $this->request->server('REQUEST_URI');
	$recent = strpos($uri, '/smartpreview') !== false;

	$this->template->assign_vars([
		'U_SMARTPREVIEW'   => $this->helper->route('smartpreview_recent'),
		'SP_RECENT_ACTIVE' => $recent,
	]);
}
}
